type
  WavHeader=record
    Riff:array[0..3] of char;
    FileLen:longint;
    WaveFmt:array[0..7] of char;
    HeaderSize:longint;
    Format:word;
    Channels:word;
    Freq:longint;
    ByteSec:longint;
    UnitLen:word;
    Bits:word;
  end;

var
  Header:WavHeader;
  WavFile:file;
  FName:string;

begin
  FileMode:=0;
  if ParamCount=0 then
  begin
    Writeln('USAGE: WAVINFO <filename>');
    Halt;
  end;
  FName:=ParamStr(1);
  Assign(WavFile, FName);
  Reset(WavFile, 1);
  BlockRead(WavFile, Header, SizeOf(Header));

  Writeln('File:         ', FName);
  Write('Format:       ', Header.Format);
  if Header.Format=1 then
    Writeln(' (PCM)')
  else
    Writeln;
  Writeln('Channels:     ', Header.Channels);
  Writeln('Frequency:    ', Header.Freq);
  Writeln('Bits:         ', Header.Bits);
  Writeln('Bytes per sec:', Header.ByteSec);
end.
