var
  WavFile,DatFile:file;
  Buffer:pointer;
  DataSize,BufSize:longint;
  Count,Last,i:word;
  Fact:array[1..4] of Char;

begin
  FileMode:=0;

  if ParamCount<2 then
  begin
    Writeln('Extract sound data from .wav file.');
    Writeln('USAGE: WAV2RAW <infile> <outfile>');
    Halt;
  end;
  Assign(WavFile, ParamStr(1));
  Assign(DatFile, ParamStr(2));
  Reset(WavFile,1);
  Rewrite(DatFile,1);
  Seek(WavFile,16);
  BlockRead(WavFile, DataSize, 4);
  Seek(WavFile, FilePos(WavFile)+DataSize);
  BlockRead(WavFile, Fact, 4);
  if Fact='fact' then
    Seek(WavFile, FilePos(WavFile)+12);
  BlockRead(WavFile, DataSize, 4);

  BufSize:=MaxAvail;
  if BufSize>$fff0 then BufSize:=$fff0;
  Count:=DataSize div BufSize;
  Last:=DataSize mod BufSize;
  GetMem(Buffer, BufSize);
  for i:=1 to Count do
  begin
    BlockRead(WavFile, Buffer^, BufSize);
    BlockWrite(DatFile, Buffer^, BufSize);
  end;
  if Last<>0 then
  begin
    BlockRead(WavFile, Buffer^, Last);
    BlockWrite(DatFile, Buffer^, Last);
  end;
  FreeMem(Buffer, BufSize);
  Close(WavFile);
  Close(DatFile);
end.